﻿using System;
using System.Collections.Generic;
using Google.API.Search;
using System.Data;

public partial class BookSearch : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            dlLocalizar.DataSource = null;
            dlLocalizar.DataBind();
            txtLivro.Text = "";
        }
    }

    protected void btnLocalizar_Click(object sender, EventArgs e)
    {
        DataSet ds = new DataSet();
        DataTable dt = new DataTable();
        dt.Columns.Add(new DataColumn("Title", typeof(string)));
        dt.Columns.Add(new DataColumn("Author", typeof(string)));
        dt.Columns.Add(new DataColumn("Url", typeof(string)));
        dt.Columns.Add(new DataColumn("Image", typeof(string)));
        dt.Columns.Add(new DataColumn("Year", typeof(string)));
        dt.Columns.Add(new DataColumn("Page", typeof(string)));

        GbookSearchClient cliente = new GbookSearchClient("www.macoratti.net");
        IList<IBookResult> resultados = cliente.Search(txtLivro.Text, 5);
        
        foreach (IBookResult resultado in resultados)
        {
            DataRow dr = dt.NewRow();
            dr["Title"] = resultado.Title.ToString();
            dr["Author"] = resultado.Authors.ToString();
            dr["Image"] = resultado.TbImage;
            dr["Url"] = resultado.Url.ToString();
            dr["Year"] = resultado.PublishedYear.ToString();
            dr["Page"] = resultado.PageCount.ToString();
            dt.Rows.Add(dr);
        }

        dlLocalizar.DataSource = dt;
        dlLocalizar.DataBind();
    }
}
